#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

    int n,k;
    cin >> n >> k;
    string l,s = "";
    cin >> l;
    for(int i = 0;i < n;i++){
        s += l[i];
        while(l[i] == l[i+1]) i++;
    }
    n = s.size();
    map<char,int> c;
    string x = "abcdefghijklmnopqrstuvwxyz";
    for(int i = 0;i < n;i++){
        c[s[i]]++;
        int mn = 200005;
        for(int j = 0;j < k;j++){
            mn = min(c[x[j]],mn);
        }
        int j = i;
        cout << mn+1 << ' ';
        while(l[j] == l[j+1]) {
            j++;
            cout << mn+1 << ' ';
        }
    }

    return 0;
}